.\"
.\" $Revision: 1.1 $ $Date: 2004/02/03 08:45:50 $
.\"
.TH CURVATURE2D 1 "FEBRUARY 2003" "SIP Toolbox"
.SH NAME
curvature2d \- curvature of a surface or image
.SH SYNOPSIS
.nf
Output = curvature2d(Input)

.TP
.B Input
2D matrix (e.g. intensity image)

.TP
.B Output
2D matrix, the estimated curvature function


.SH DESCRIPTION
"curvature2d" calculates the curvature of an intensity image or surface
represented as a 2D matrix. It currently uses finite differences.

.SH AUTHORS
Leandro Estrozi <lfestrozi@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
curvature, minmax, fftderiv
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
