.\"
.\" $Revision: 1.5 $ $Date: 2004/02/05 06:31:48 $
.\"
.TH DRAWLINE 1 "NOVEMBER 2002" "SIP Toolbox"
.SH NAME
drawline \- draws line in a binary image 
.SH "SYNOPSIS"
.nf
imo = drawline(img, points) 
.fi
.SH PARAMETERS
.TP
.B img 
Intensity image 
.TP
.B points
n rows x 2 columns vector of n 2D (row,col) coordinates: 
.nf
[ row1 col1; row2 col2; ... ; rowN colN ]
.fi

.SH DESCRIPTION
Function \fBdrawline\fR is used to draw a digital straight line or 
polyline into an image.

.SH EXAMPLE
.nf
I = zeros(100,100);
J = drawline(I, [1 1; 20 50; 100 100]);
xbasc();
imshow(J,2);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
mogrify (its -draw parameter provides many shapes with antialiasing)
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
