.\"
.\" $Revision: 1.8 $ $Date: 2003/12/17 16:07:24 $
.\"
.TH SIP_FFTSHIFT 1 "January 2002" "SIP Toolbox"
.SH NAME
sip_fftshift \- swap arrays (used with fft)
.SH "SYNOPSIS"
Y = sip_fftshift(X)
.SH PARAMETERS
.TP
.B X and Y
double vectors
.SH DESCRIPTION
\fBsip_fftshift(X)\fP swaps the left and right halves of X.
.LP
\fBsip_fftshift\fP is a substitute for mtlb_fftshift, a Scilab
function which is in FRACLAB contribution. We provide it here,
since its necessary for many image processing tasks. 
.SH REMARKS
fftshift is now present in Scilab CVS. sip_fftshift is provided only
for those versions of scilab that do not have fftshift.

There are optional arguments not documented, as well as other
features of this function that we don't cover in this manpage.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>,  with help from 
Scilab Group   <Scilab@inria.fr>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
fft,  FRACLAB toolbox
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
