.\"
.\" $Revision: 1.2 $ $Date: 2004/02/05 08:12:29 $
.\"
.TH GRAY_IMREAD 1 "MAY 2003" "SIP Toolbox"
.SH NAME
gray_imread \- read any image as grayscale
.SH "SYNOPSIS"
.nf
im = gray_imread(filename)
.fi
.SH PARAMETERS
.TP
.B Img
2D array representing pixel intensities
.SH DESCRIPTION
This is a simple utility routine to read any image as grayscale.
If the image is truecolor or pseudo-color, it is converted using
im2gray

.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = gray_imread('ararauna.png');
xbasc()
imshow(Img,[]);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
imshow, im2gray, im2bw
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"

