.\"
.\" $Revision: 1.3 $ $Date: 2003/09/05 22:04:52 $
.\"
.TH XOR 1 "SEPTEMBER 2004" "SIP Toolbox"
.SH NAME
xor \- exclusive or
.SH SYNOPSIS
.nf
C = xor(A,B)

.TP
.B Input
A, B:  input arrays
.TP 
.B Output
C: resulting boolean array

.SH DESCRIPTION
"xor" is a simple convenience function to calculate the exclusive OR logical
operator on the corresponding elements of the input arrays. The
resulting element is %f if either the corresponding elements in A or
in B are nonzero, but not both.

.SH EXAMPLE
A = [0   0  %pi %eps] 
B = [0 -6.9  0   1  ]

C = xor(A,B)
C =
|  F  T   T  F  |

.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
and, or
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
